$(document).ready(function () {
  $(document).off('click',searchStuMsg).on('click','.search-button.teacher',searchStuMsg);
  $(document).off('click',searchTeaMsg).on('click','.search-button.student',searchTeaMsg);
  $(document).off('keydown',KDsearchSmsg).on('keydown','.search-button.teacher',KDsearchSmsg);
  $(document).off('keydown',KDsearchTmsg).on('keydown','.search-button.student',KDsearchTmsg);
  $(document).off('click',teacherSelect).on('click','.select-it.teacher',teacherSelect);
  $(document).off('click',studentSelect).on('click','.select-it.student',studentSelect);
})
function searchStuMsg(e) {
  if($('.search-input').val()=='')
  {
    e.preventDefault();
    alert('请输入学号');
  }
  else {
    var id=$('.search-input').val();
    var searchType='teacher';
    var rqDate={"id":id,"searchType":searchType};
    var Url1='result_list.jsp';
    $('.list-frame').load(Url1,rqDate);
  }
}
function searchTeaMsg(e) {
  if($('.search-input').val()=='')
  {
    e.preventDefault();
    alert('请输入学号');
  }
  else {
    var id=$('.search-input').val();
    var searchType='student';
    var rqDate={"id":id,"searchType":searchType};
    var Url1='result_list.jsp';
    $('.list-frame').load(Url1,rqDate);
  }
}
function KDsearchSmsg(e) {
  if(e.keyCode==13)
  {
   searchStuMsg(e);
  }
}
function KDsearchTmsg(e) {
  if(e.keyCode==13)
  {
    searchTeaMsg(e);
  }
}
function select_one(Url2,button) {
  var id=button.val();
  var selectDate={"id":id};
  if(button.html()!="已选")
  {$.post(Url2,selectDate,function (data,status) {
    if(status=='success')
    {
      button.addClass('on').html("已选");
    }
  })}
}
function studentSelect() {
  var button=$(this);
  select_one("testfrom.jsp",button);
}
function teacherSelect() {
  var button=$(this);
  select_one("/home/teacher-select-student",button);
}